Bug 1305681 - (CVE-2016-2103) CVE-2016-2103 Satellite 5: multiple stored XSS vulnerabilities
CVE-2016-2103 Satellite 5: multiple stored XSS vulnerabilities
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160229,repor...
: Security
Depends On: 1313517
Blocks: 1305684
  Show dependency treegraph
 
Reported: 2016-02-08 16:39 EST by Kurt Seifried
Modified: 2016-04-04 13:06 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Multiple cross-site scripting (XSS) flaws were found in the way certain form data was handled in Red Hat Satellite. A user able to enter form data could use these flaws to perform XSS attacks against other Satellite users.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-04 13:02:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2137471 None None None 2016-02-10 00:05 EST

  None (edit)
Description Kurt Seifried 2016-02-08 16:39:06 EST
Multiple XSS vulnerabilities have been reported in Satellite 5:

/rhn/systems/PhysicalList.do  list_1680466951_oldfilterval (Parameter)
/rhn/systems/VirtualSystemsList.do  VirtualSystemsList.do (Page)
Comment 2 Grant Gainey 2016-02-15 16:09:25 EST
/rhn/systems/PhysicalList.do?list_1680466951_oldfilterval=false">Test<script>alert(1)</script>

List-tag parameters and pagination - I believe we can fix these all at once with code in ListDisplayTag

Kurt - Do we have a specific reproducer for VirtualSystemList? SO far I haven't been able to force a problem.
Comment 3 Grant Gainey 2016-02-16 17:00:42 EST
Teaching ListTagHelper.getFilterValue() to htmlEscape results fixes the problem for all places where we use ListTag.
Comment 4 Kurt Seifried 2016-02-20 22:37:17 EST
(In reply to Grant Gainey from comment #2)
> /rhn/systems/PhysicalList.
> do?list_1680466951_oldfilterval=false">Test<script>alert(1)</script>
> 
> List-tag parameters and pagination - I believe we can fix these all at once
> with code in ListDisplayTag
> 
> Kurt - Do we have a specific reproducer for VirtualSystemList? SO far I
> haven't been able to force a problem.

I don't have anything more than what I put in this bug unfortunately. I've requested more information.
Comment 7 errata-xmlrpc 2016-04-04 11:36:51 EDT
This issue has been addressed in the following products:

  Red Hat Satellite 5.7

Via RHSA-2016:0590 https://rhn.redhat.com/errata/RHSA-2016-0590.html

Note You need to log in before you can comment on or make changes to this bug.